package com.engine.organization.enums;

/**
 * @author:dxfeng
 * @createTime: 2022/07/04
 * @version: 1.0
 */
public enum LogModuleNameEnum {
    SCHEME("等级方案", 1, 547124),
    LEVEL("职等", 2, 547139),
    GRADE("职级", 3, 547152),
    SEQUENCE("岗位序列", 4, 547147),
    POSTINFO("职务管理", 6, 547616),
    GROUP("集团管理", 7, 547617),
    COMPANY("分部管理", 8, 547178),
    DEPARTMENT("部门管理", 9, 547116),
    JOB("岗位管理", 10, 547198),
    RESOURCE("人员管理", 11, 547618),
    STAFFPLAN("编制方案", 12, 547459),
    STAFF("编制上报", 13, 547342),
    DETACH("模块管理分权", 14, 547402),
    OTHER("其他模块", 99, 547619);

    private String name;

    private Integer value;

    private int labelId;


    LogModuleNameEnum(String name, Integer value, int labelId) {
        this.name = name;
        this.value = value;
        this.labelId = labelId;
    }

    public Integer getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public int getLabelId() {
        return labelId;
    }

    public static LogModuleNameEnum getByName(String name) {
        for (LogModuleNameEnum logModuleNameEnum : values()) {
            if (logModuleNameEnum.getName().equals(name)) {
                return logModuleNameEnum;
            }
        }
        return null;
    }
}
